package com.ruoyi.zdsz.enums;

import com.ruoyi.common.enums.UserType;
import com.ruoyi.common.utils.StringUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.List;

@Getter
@AllArgsConstructor
public enum photoType {
    /**
     * 管上皮深度测量照片
     */
    ductalEpithelium,

    /**
     * 管沟远景照片
     */
    trenchProspect,

    /**
     * 石粉回填照片
     */
    stonePowder,

    /**
     * 警示带铺设
     */
    warningtTape,

    /**
     * 回填后照片
     */
    photosAfter,

    /**
     * 视频
     */
    Video,
    /**
     * 底腿开挖前
     */
    beforeBottom,
    /**
     * 底腿回填
     */
    legBackfilling,
    /**
     * 底腿下沟
     */
    inferiorSulcus,
    /**
     * 管道施工记录
     */
    constructionRecords,
    /**
     * 沟上部分
     */
    onTheDitch,

    // 市政施工-沟上施工 焊接
    welding,
    // 市政施工-沟上施工 防腐
    aczoiling,
    // 市政施工-沟下施工 管道下沟
    piping,
    // 市政施工-沟下施工 警示带铺设
    warning,
    // 市政施工-沟下施工 回填
    backfilling

}
